Package org.apache.axiom.soap

## Interface SOAPVersion

- All Known Implementing Classes:
    `SOAP11Version`, `SOAP12Version`

      public interface SOAPVersion

  A generic way to get at SOAP-version-specific values. As long as we can get one of these from a SOAP element, we can get at the right

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SOAPVersion` | `SOAP11` |
    `static SOAPVersion` | `SOAP12` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEncodingURI()` | Obtain the encoding namespace for this version of SOAP
    `String` | `getEnvelopeURI()` | Obtain the envelope namespace for this version of SOAP
    `QName` | `getFaultCodeQName()` | Obtain the QName for the fault code element.
    `QName` | `getFaultDetailQName()` | Obtain the QName for the fault detail element.
    `QName` | `getFaultReasonQName()` | Obtain the QName for the fault reason element.
    `QName` | `getFaultRoleQName()` | Obtain the QName for the fault role/actor element.
    `MediaType` | `getMediaType()` | Obtain the media type for this version of SOAP.
    `QName` | `getMustUnderstandFaultCode()` | Obtain the QName for the MustUnderstand fault code
    `String` | `getNextRoleURI()` | Obtain the "next" role/actor URI
    `QName` | `getReceiverFaultCode()` | Obtain the QName for the Receiver fault code.
    `QName` | `getRoleAttributeQName()` | Obtain the QName for the role attribute (actor/role)
    `QName` | `getSenderFaultCode()` | Obtain the QName for the Sender fault code

- - ### Field Detail

    - #### SOAP11

          static final SOAPVersion SOAP11

    - #### SOAP12

          static final SOAPVersion SOAP12

  - ### Method Detail

    - #### getEnvelopeURI

          String getEnvelopeURI()

      Obtain the envelope namespace for this version of SOAP

    - #### getEncodingURI

          String getEncodingURI()

      Obtain the encoding namespace for this version of SOAP

    - #### getRoleAttributeQName

          QName getRoleAttributeQName()

      Obtain the QName for the role attribute (actor/role)

    - #### getNextRoleURI

          String getNextRoleURI()

      Obtain the "next" role/actor URI

    - #### getMustUnderstandFaultCode

          QName getMustUnderstandFaultCode()

      Obtain the QName for the MustUnderstand fault code

    - #### getSenderFaultCode

          QName getSenderFaultCode()

      Obtain the QName for the Sender fault code
      Returns:
        Sender fault code as a QName

    - #### getReceiverFaultCode

          QName getReceiverFaultCode()

      Obtain the QName for the Receiver fault code.
      Returns:
        Receiver fault code as a QName

    - #### getFaultReasonQName

          QName getFaultReasonQName()

      Obtain the QName for the fault reason element.
      Returns:
        the QName for the fault reason element

    - #### getFaultCodeQName

          QName getFaultCodeQName()

      Obtain the QName for the fault code element.
      Returns:
        the QName for the fault code element

    - #### getFaultDetailQName

          QName getFaultDetailQName()

      Obtain the QName for the fault detail element.
      Returns:
        the QName for the fault detail element

    - #### getFaultRoleQName

          QName getFaultRoleQName()

      Obtain the QName for the fault role/actor element.
      Returns:
        the QName for the fault role/actor element

    - #### getMediaType

          MediaType getMediaType()

      Obtain the media type for this version of SOAP.
      Returns:
        the media type